> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List query rewrite instances for an application



## OpenAPI

````yaml /api-reference/4.2/service-query-rewrite.json get /query-rewrite/instances
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-rewrite
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-rewrite
paths:
  /query-rewrite/instances:
    get:
      tags:
        - 4.2 Query Rewrite API
      summary: List query rewrite instances for an application
      operationId: list
      parameters:
        - name: context
          in: query
          description: The current Fusion application Id
          required: false
          schema:
            type: string
        - name: editSessionId
          in: query
          description: The current user session Id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QueryRewrite'
components:
  schemas:
    QueryRewrite:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        source:
          type: string
          readOnly: true
        sourceType:
          type: string
          readOnly: true
        createdOn:
          type: string
          format: date-time
        updatedOn:
          type: string
          format: date-time
        reviewer:
          type: string
          readOnly: true
        reviewedOn:
          type: string
          format: date-time
          readOnly: true
        review:
          type: string
          readOnly: true
          enum:
            - auto
            - pending
            - approved
            - denied
        deployed:
          type: boolean
          default: false
        tags:
          type: array
          readOnly: true
          items:
            type: string
        doc_type:
          type: string
          readOnly: true

````